package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkTxdCrmStatementBackflowRequest struct {
	/*
	   参数     */
	ParamStatementBO *domain.AlibabaWdkTxdCrmStatementBackflowStatementBo `json:"param_statement_b_o,omitempty" required:"false" `
}

func (s *AlibabaWdkTxdCrmStatementBackflowRequest) SetParamStatementBO(v domain.AlibabaWdkTxdCrmStatementBackflowStatementBo) *AlibabaWdkTxdCrmStatementBackflowRequest {
	s.ParamStatementBO = &v
	return s
}

func (req *AlibabaWdkTxdCrmStatementBackflowRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ParamStatementBO != nil {
		paramMap["param_statement_b_o"] = util.ConvertStruct(*req.ParamStatementBO)
	}
	return paramMap
}

func (req *AlibabaWdkTxdCrmStatementBackflowRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
